Bug 205822 - `options GZIP` and `options ZFS` collide due to inconsistently defined symbols
Summary: `options GZIP` and `options ZFS` collide due to inconsistently defined symbols
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-03 08:54 UTC by Enji Cooper
Modified: 2019-07-30 05:15 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2016-01-03 08:54:40 UTC
I tried adding `options ZFS` to sys/conf/NOTES as part of r293070 [1], and unfortunately caused build errors with `LINT` because of name collisions between zfs(4) and zlib(9). I reverted the change in r293091 [2].

This bug is being filed to track the issue and (eventually) fix it.

This will likely need to be fixed by consolidating the two copies of zlib into one copy, and might require upgrading zlib in the kernel to something more recent..

1. https://lists.freebsd.org/pipermail/svn-src-head/2016-January/080712.html
2. https://lists.freebsd.org/pipermail/svn-src-head/2016-January/080715.html
Comment 1 Xin LI freebsd_committer 2019-07-29 06:30:06 UTC
The current plan is to remove the gzipped a.out support which will make this go away.
Comment 2 commit-hook freebsd_committer 2019-07-30 05:14:03 UTC
A commit references this bug:

Author: delphij
Date: Tue Jul 30 05:13:17 UTC 2019
New revision: 350436
URL: https://svnweb.freebsd.org/changeset/base/350436

Log:
  Remove gzip'ed a.out support.

  The current implementation of gzipped a.out support was based
  on a very old version of InfoZIP which ships with an ancient
  modified version of zlib, and was removed from the GENERIC
  kernel in 1999 when we moved to an ELF world.

  PR:		205822
  Reviewed by:	imp, kib, emaste, Yoshihiro Ota <ota at j.email.ne.jp>
  Relnotes:	yes
  Differential Revision:	https://reviews.freebsd.org/D21099

Changes:
  head/sys/amd64/conf/NOTES
  head/sys/arm/arm/elf_trampoline.c
  head/sys/conf/files
  head/sys/conf/files.amd64
  head/sys/conf/files.i386
  head/sys/i386/conf/NOTES
  head/sys/kern/imgact_gzip.c
  head/sys/kern/subr_inflate.c
  head/sys/sys/inflate.h